function [topkmap, B_dataset, B_test] = test_nus_wide(net, retrievalL, testL, IRetrieval, IQuery)
topk = 5000;
[B_dataset, B_test] = compute_B (IRetrieval,IQuery,net);

B_dataset = compactbit(B_dataset);
B_test = compactbit(B_test);

[topkmap] = calculateTopMap(B_dataset,B_test,retrievalL,testL,topk);
disp(topkmap);
end